Bug 880489 - the systems'language has been changed iinto Chinese after I add Chinese into the "input sources"of the "Region&Language"
Summary: the systems'language has been changed iinto Chinese after I add Chinese into ...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus   
(Show other bugs)
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 06:15 UTC by lnie
Modified: 2012-12-07 03:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 03:00:47 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lnie 2012-11-27 06:15:21 UTC
Description of problem:

I make a default install with English,then I add Chinese into the "input sources"
.after a reboot,the system language has been changed into"Chinese".terrible.
As I have used to English,it is incovenient for me to find sth through the "search box".
Version-Release number of selected component (if applicable):
f18 Beta RC1 x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 fujiwara 2012-11-28 11:25:55 UTC
(In reply to comment #0)
> I make a default install with English,then I add Chinese into the "input
> sources"
> .after a reboot,the system language has been changed into"Chinese".terrible.
> As I have used to English,it is incovenient for me to find sth through the
> "search box".
> Version-Release number of selected component (if applicable):
> f18 Beta RC1 x86_64

Probably I don't understand your problem.
When you launched 'gnome-control-center region', it has "Language" tab and "Input Souces" tab.
I think you can select English in Language tab and a Chinese input method in "Input Sources" tab and after the reboot, your session is English?
The gnome-control-center configure user settings but not system settings so you cannot change the login dialog locale with gnome-contorl-center.

The system locale could be changed by system-config-language.

Comment 2 lnie 2012-11-29 03:58:09 UTC
yeah,actually,English is the default in Language tab.What's I do is only add "Chinese"in"Input Sources".after a reboot the bug happens

Comment 3 fujiwara 2012-12-06 09:54:54 UTC
AFAIK, you tried to install the f18 again.
Are you still able to reproduce your problem?

Comment 4 lnie 2012-12-07 02:13:24 UTC
(In reply to comment #3)
> AFAIK, you tried to install the f18 again.
> Are you still able to reproduce your problem?
yeah,I have tried to reproduce.The bug dosen't occur again.:)

Comment 5 fujiwara 2012-12-07 03:00:47 UTC
If you see the problem again, please comment here.


Note You need to log in before you can comment on or make changes to this bug.